Macbook Pro mid 2012 compatibility

New Here ,
Jul 30, 2020

Copy link to clipboard

Copied

Hey everyone! I have a MacBook Pro from mid 2012, and i cannot seem to find a Lightroom version compatible with my system. Is it possible that the system is too old to install Lightroom?

TOPICS
Download and install

Views

172

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Macbook Pro mid 2012 compatibility

New Here ,
Jul 30, 2020

Copy link to clipboard

Copied

Hey everyone! I have a MacBook Pro from mid 2012, and i cannot seem to find a Lightroom version compatible with my system. Is it possible that the system is too old to install Lightroom?

TOPICS
Download and install

Views

173

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jul 30, 2020 0
Adobe Community Professional ,
Jul 30, 2020

Copy link to clipboard

Copied

Which operating system are you running? 

Lightroom Classic requires at least High Sierra

https://helpx.adobe.com/au/lightroom-classic/system-requirements.html

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 30, 2020 0
Adobe Community Professional ,
Jul 30, 2020

Copy link to clipboard

Copied

I have the latest (July 2020) version running on High Sierra on a 2011 iMac.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 30, 2020 0
Adobe Community Professional ,
Jul 30, 2020

Copy link to clipboard

Copied

What Mac OS is your MacBook Pro have installed at present. Have you tried to update to the latest version that is possible?

Regards, Denis: System iMac mid-2015, 5K 27”, Ram 24GB, HDD 3TB, macOS 11.1, LrC 10.1 (>10.0), Lr 4.1, Ps 22.1, Pr 14.8.0; Camera OM-D E-M1.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jul 30, 2020 0